Modify

Opened 6 years ago

Closed 6 years ago

Last modified 21 months ago

#8854 closed defect (fixed)

does not work with combination of multiselect + value_list

Reported by: skyper Owned by: team
Priority: normal Milestone: 13.12
Component: Core Version:
Keywords: multiselect value list Cc:

Description (last modified by skyper)

I get following error message when using multiselect in combination with value_list:

screenshot of error

org.openstreetmap.josm.tools.XmlObjectParser$PresetParsingException: cvc-complex-type.4: Attribute 'values' must appear on element 'multiselect'. (at line 4,846, column 77)

preset code which works fine in JOSM:

        <item name="Power Generator" icon="presets/power.png" type="node,closedway">
            <link href="http://wiki.openstreetmap.org/wiki/Tag:power=generator" />
            <label text="Edit Power Generator" />
            <key key="power" value="generator" />
            <text key="name" text="Name" />
            <multiselect key="generator:source" text="Source" delimiter=";">   <!--    <list_entry value="" display_value="" short_description="" icon="" icon_size=""/> -->
                <list_entry value="biofuel" icon="http://wiki.openstreetmap.org/w/images/6/6b/Bahnpirat-power_source-biofuel.svg" />
                <list_entry value="biogas" icon="http://wiki.openstreetmap.org/w/images/6/6b/Bahnpirat-power_source-biofuel.svg" />
                <list_entry value="biomass" icon="http://wiki.openstreetmap.org/w/images/6/6b/Bahnpirat-power_source-biofuel.svg" />
                <list_entry value="coal" icon="http://wiki.openstreetmap.org/w/images/4/4b/Bahnpirat-power_source-coal.svg" />
                <list_entry value="diesel" icon="http://wiki.openstreetmap.org/w/images/f/f7/Bahnpirat-power_source-oil.svg" />
                <list_entry value="gas" icon="http://wiki.openstreetmap.org/w/images/e/e6/Bahnpirat-power_source-gas.svg" />
                <list_entry value="gasoline" icon="http://wiki.openstreetmap.org/w/images/f/f7/Bahnpirat-power_source-oil.svg" />
                <list_entry value="geothermal" />
                <list_entry value="hydro" icon="http://wiki.openstreetmap.org/w/images/e/ed/2020_stBN_powergensource_water.svg" />
                <list_entry value="nuclear" icon="http://wiki.openstreetmap.org/w/images/3/3e/2020_stBN_powergensource_nuclear.svg" />
                <list_entry value="oil" icon="http://wiki.openstreetmap.org/w/images/f/f7/Bahnpirat-power_source-oil.svg" />
                <list_entry value="osmotic" icon="http://wiki.openstreetmap.org/w/images/e/ed/2020_stBN_powergensource_water.svg" />
                <list_entry value="solar" icon="http://wiki.openstreetmap.org/w/images/2/22/2020_stBN_powergensource_sun.svg" />
                <list_entry value="tidal" icon="http://wiki.openstreetmap.org/w/images/e/ed/2020_stBN_powergensource_water.svg" />
                <list_entry value="waste" icon="http://wiki.openstreetmap.org/w/images/2/2f/Bahnpirat-power_source-waste.svg" />
                <list_entry value="wave" icon="http://wiki.openstreetmap.org/w/images/e/ed/2020_stBN_powergensource_water.svg" />
                <list_entry value="wind" icon="http://wiki.openstreetmap.org/w/images/0/03/2020_stBN_powergensource_wind.svg" />
            </multiselect>
            <multiselect key="generator:method" text="Method" values="anaerobic_digestion;combustion;dam;fission;fusion;gasification;photovoltaic;pumped-storage;pumping;pyrolysis;run-of-the-river;thermal" />
            <combo key="generator:type" text="Generator Type" values="cold-fusion,combined_cycle,francis_turbine,gas_turbine,heat_pump,horizontal_axis,kaplan_turbine,pelton_turbine,reciprocating_engine,solar_photovoltaic_panel,solar_thermal_collector,steam_generator,steam_turbine,stellarator,tokamak,vertical_axis,BWR-1,BWR-2,BWR-3,BWR-4,BWR-5,BWR-6,CANDU,CPR-1000,EPR,ICF,PWR,RBMK-1000,RBMK-1500,VVER" />
        </item>
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-07-05 01:34:27
Last Changed Author: Don-vip
Revision: 6048
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-07-03 20:38:17 +0200 (Wed, 03 Jul 2013)
Last Changed Rev: 6048

Identification: JOSM/1.5 (6048 en) Linux Debian GNU/Linux 7.1 (wheezy)
Memory Usage: 119 MB / 592 MB (19 MB allocated, but free)
Java version: 1.6.0_27, Sun Microsystems Inc., OpenJDK 64-Bit Server VM
VM arguments: [-Djosm.home=$HOME/.josm-test]
Program arguments: [--language=en]
Dataset consistency test: No problems found

Plugin: tagging-preset-tester (29725)

Attachments (1)

JOSM_8854.png (9.6 KB) - added by skyper 6 years ago.
screenshot of error

Download all attachments as: .zip

Change History (10)

Changed 6 years ago by skyper

Attachment: JOSM_8854.png added

screenshot of error

comment:1 Changed 6 years ago by skyper

Description: modified (diff)

comment:2 Changed 6 years ago by skyper

Description: modified (diff)

comment:3 Changed 6 years ago by Don-vip

Component: Plugin tagging-preset-testerCore

My fault, I haven't updated the XSD in r5964.

comment:4 Changed 6 years ago by Don-vip

Resolution: fixed
Status: newclosed

In 6055/josm:

fix #8854 - fix tagging preset XSD

comment:5 in reply to:  4 Changed 6 years ago by skyper

Replying to Don-vip:

In 6055/josm:

fix #8854 - fix tagging preset XSD

Now I get a different error message but it does not work (tested with patch from #8847):

loading plugin 'tagging-preset-tester' (version 29748)
org.openstreetmap.josm.tools.XmlObjectParser$PresetParsingException: cvc-complex-type.2.1: Element 'multiselect' must have no character or element information item [children], because the type's content type is empty. (at line 4,890, column 27)
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-07-07 01:34:43
Last Changed Author: Don-vip
Revision: 6056
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-07-07 00:21:33 +0200 (Sun, 07 Jul 2013)
Last Changed Rev: 6056

Identification: JOSM/1.5 (6056 en) Linux Debian GNU/Linux 7.1 (wheezy)
Memory Usage: 107 MB / 592 MB (38 MB allocated, but free)
Java version: 1.6.0_27, Sun Microsystems Inc., OpenJDK 64-Bit Server VM
VM arguments: [-Djosm.home=$HOME/.josm-test]
Program arguments: [--language=en]

Plugin: tagging-preset-tester (29748)

comment:6 Changed 6 years ago by skyper

Resolution: fixed
Status: closedreopened

comment:7 Changed 6 years ago by Don-vip

Resolution: fixed
Status: reopenedclosed

In 6057/josm:

fix #8854 - fix tagging preset XSD (for real)

comment:8 Changed 5 years ago by Don-vip

Milestone: 13.12 (6502)

comment:9 Changed 21 months ago by stoecker

Milestone: 13.12 (6502)13.12

Milestone renamed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.